require 'spec_helper'
require 'pinpoint/format/token'

describe Pinpoint::Format::Token do
  it 'can be instantiated with the proper arguments' do
    token = Pinpoint::Format::Token.new(:foo, 'bar')

    expect(token.type).to   eql :foo
    expect(token.value).to  eql 'bar'
  end

  it 'always has a symbol for a type even if instantiated with something else' do
    token = Pinpoint::Format::Token.new('foo', 'bar')

    expect(token.type).to   eql :foo
    expect(token.value).to  eql 'bar'
  end

  it 'can determine the value that is needed when processing the token' do
    expect(Pinpoint::Format::Token.new(:group_start).processed_value).to    eql :group_start
    expect(Pinpoint::Format::Token.new(:group_end).processed_value).to      eql :group_end
    expect(Pinpoint::Format::Token.new(:literal, 'foo').processed_value).to eql 'foo'
    expect(Pinpoint::Format::Token.new(:street).processed_value).to         eql :street
  end
end
